package com.dd.admin.business.author.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.common.model.PageFactory;
import com.dd.admin.business.author.entity.Author;
import com.dd.admin.business.author.mapper.AuthorMapper;
import com.dd.admin.business.author.service.AuthorService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.dd.admin.business.author.domain.AuthorVo;
import com.dd.admin.business.author.domain.AuthorDto;
import java.util.List;

/**
 * <p>
 * 作者（博主） 服务实现类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-12-12
 */
@Service
public class AuthorServiceImpl extends ServiceImpl<AuthorMapper, Author> implements AuthorService {

    @Override
    public IPage<AuthorVo> selectAuthorPage(AuthorDto authorDto) {
        Page page = PageFactory.defaultPage();
        return baseMapper.selectAuthorPage(page,authorDto);
    }

    @Override
    public List<AuthorVo> selectAuthorList(AuthorDto authorDto) {
        return baseMapper.selectAuthorList(authorDto);
    }
}
