package com.dd.admin.business.card.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-17
 */
@Data
@ApiModel(value="接收对象")
public class CardDto {


    @ApiModelProperty(value = "会员卡id")
    @NotBlank(message = "id不能为空",groups = UpdateGroup.class)
    private String cardId;

    @ApiModelProperty(value = "会员卡名")
    private String cardName;

    @ApiModelProperty(value = "卡编号")
    private BigDecimal cardNo;

    @ApiModelProperty(value = "预设开卡金")
    private BigDecimal cardAmount;

    @ApiModelProperty(value = "预设赠送金")
    private BigDecimal giveAmount;

    @ApiModelProperty(value = "最低开卡金额")
    private BigDecimal buildCardAmount;

    @ApiModelProperty(value = "卡折扣")
    private BigDecimal cardDiscount;

    @ApiModelProperty(value = "卡提成")
    private BigDecimal cardPushPercent;

    @ApiModelProperty(value = "工本费用")
    private String todos;

    @ApiModelProperty(value = "0正常 1下架")
    private Integer cardStatus;

    @ApiModelProperty(value = "0正常 1删除")
    private Integer deleted;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "搜索关键字")
    private String keyword;
}
