package com.dd.admin.business.card.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_card")
@ApiModel(value="Card对象", description="")
public class Card implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员卡id")
    @TableId(value = "CARD_ID", type = IdType.ASSIGN_UUID)
    private String cardId;

    @ApiModelProperty(value = "会员卡名")
    @TableField("CARD_NAME")
    private String cardName;

    @ApiModelProperty(value = "卡编号")
    @TableField("CARD_NO")
    private String cardNo;

    @ApiModelProperty(value = "预设开卡金")
    @TableField("CARD_AMOUNT")
    private BigDecimal cardAmount;

    @ApiModelProperty(value = "预设赠送金")
    @TableField("GIVE_AMOUNT")
    private BigDecimal giveAmount;

    @ApiModelProperty(value = "最低开卡金额")
    @TableField("BUILD_CARD_AMOUNT")
    private BigDecimal buildCardAmount;

    @ApiModelProperty(value = "卡折扣")
    @TableField("CARD_DISCOUNT")
    private BigDecimal cardDiscount;

    @ApiModelProperty(value = "卡提成")
    @TableField("CARD_PUSH_PERCENT")
    private BigDecimal cardPushPercent;

    @ApiModelProperty(value = "工本费用")
    @TableField("TODOS")
    private BigDecimal todos;

    @ApiModelProperty(value = "0正常 1下架")
    @TableField("CARD_STATUS")
    private Integer cardStatus;

    @ApiModelProperty(value = "0正常 1删除")
    @TableField("DELETED")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_NAME", fill = FieldFill.UPDATE)
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_ID", fill = FieldFill.UPDATE)
    private String updateId;


}
