package com.dd.admin.business.category.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 分类返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-22
 */
@Data
@ApiModel(value="分类接收对象")
public class CategoryDto {


    @ApiModelProperty(value = "分类id")
    @NotBlank(message = "分类id不能为空",groups = UpdateGroup.class)
    private String categoryId;

    @ApiModelProperty(value = "分类名")
    private String categoryName;

    @ApiModelProperty(value = "0正常 1禁用")
    private Integer categoryStatus;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "搜索关键字")
    private String keyword;
}
