package com.dd.admin.business.detailServer.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 订单详单服务人员返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Data
@ApiModel(value="订单详单服务人员接收对象")
public class SellDetailServerDto {


    @ApiModelProperty(value = "详单对应服务人员记录id")
    @NotBlank(message = "订单详单服务人员id不能为空",groups = UpdateGroup.class)
    private String detailServerId;

    @ApiModelProperty(value = "订单id")
    private String sellId;

    @ApiModelProperty(value = "详单id")
    private String sellDetailId;

    @ApiModelProperty(value = "服务人员")
    private String serverId;

    @ApiModelProperty(value = "服务人员")
    private String serverName;

    @ApiModelProperty(value = "提成")
    private BigDecimal serverPushMoney;

    @ApiModelProperty(value = "业绩")
    private BigDecimal serverGrade;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "备注")
    private String remark;


}
