package com.dd.admin.business.detailServer.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单详单服务人员
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_sell_detail_server")
@ApiModel(value="SellDetailServer对象", description="订单详单服务人员")
public class SellDetailServer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "详单对应服务人员记录id")
    @TableId(value = "DETAIL_SERVER_ID", type = IdType.ASSIGN_UUID)
    private String detailServerId;

    @ApiModelProperty(value = "订单id")
    @TableField("SELL_ID")
    private String sellId;

    @ApiModelProperty(value = "详单id")
    @TableField("SELL_DETAIL_ID")
    private String sellDetailId;

    @ApiModelProperty(value = "服务人员")
    @TableField("SERVER_ID")
    private String serverId;

    @ApiModelProperty(value = "服务人员")
    @TableField("SERVER_NAME")
    private String serverName;

    @ApiModelProperty(value = "提成")
    @TableField("SERVER_PUSH_MONEY")
    private BigDecimal serverPushMoney;

    @ApiModelProperty(value = "业绩")
    @TableField("SERVER_GRADE")
    private BigDecimal serverGrade;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_NAME", fill = FieldFill.UPDATE)
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_ID", fill = FieldFill.UPDATE)
    private String updateId;

    @ApiModelProperty(value = "备注")
    @TableField("REMARK")
    private String remark;


}
