package com.dd.admin.business.member.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 会员返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-21
 */
@Data
@ApiModel(value="会员接收对象")
public class MemberDto {


    @ApiModelProperty(value = "会员表id")
    @NotBlank(message = "会员id不能为空",groups = UpdateGroup.class)
    private String memberId;

    @ApiModelProperty(value = "会员姓名")
    private String memberName;

    @ApiModelProperty(value = "手机号")
    private String memberPhone;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "消费密码")
    private String payPassword;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "会员姓名")
    private String querySearch;

    @ApiModelProperty(value = "条数")
    private Integer limit;

    @ApiModelProperty(value = "搜索会员关键字")
    private String keyword;
}
