package com.dd.admin.business.member.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会员
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_member")
@ApiModel(value="Member对象", description="会员")
public class Member implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员表id")
    @TableId(value = "MEMBER_ID", type = IdType.ASSIGN_UUID)
    private String memberId;

    @ApiModelProperty(value = "会员姓名")
    @TableField("MEMBER_NAME")
    private String memberName;

    @ApiModelProperty(value = "手机号")
    @TableField("MEMBER_PHONE")
    private String memberPhone;

    @ApiModelProperty(value = "备注")
    @TableField("REMARK")
    private String remark;

    @ApiModelProperty(value = "消费密码")
    @TableField("PAY_PASSWORD")
    private String payPassword;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


}
