package com.dd.admin.business.pay.domain;

import com.dd.admin.business.sellPay.entity.Sellpay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class BaseSell {
    @ApiModelProperty(value = "订单号 可不填 不填将自动生成")
    private String sellNo;

    @ApiModelProperty(value = "支付列表")
    @NotNull(message = "支付信息不能为空")
    private List<Sellpay> sellPayList;

    @ApiModelProperty(value = "订单金额")
    @NotNull(message = "订单金额不能为空")
    @Max(value = 1000000,message = "订单金额最大为1000000")
    @Min(value = 0,message = "订单金额最小为0")
    private BigDecimal sellAmount;

    @ApiModelProperty(value = "json")
    private String sellJson;


    @ApiModelProperty(value = "jsonId")
    private String jsonId;
}
