package com.dd.admin.business.pay.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dd.admin.business.server.domain.ServerVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BuildCardForm {
    @ApiModelProperty(value = "会员卡id")
    private String cardId;

    @ApiModelProperty(value = "会员卡名")
    @TableField("CARD_NAME")
    private String cardName;

    @ApiModelProperty(value = "卡编号")
    @TableField("CARD_NO")
    private String cardNo;

    @ApiModelProperty(value = "预设开卡金")
    @TableField("CARD_AMOUNT")
    private BigDecimal cardAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "预设赠送金")
    @TableField("GIVE_AMOUNT")
    private BigDecimal giveAmount = BigDecimal.ZERO;


    @ApiModelProperty(value = "商品实际金额")
    private BigDecimal totalRealAmount;

    @ApiModelProperty(value = "服务人员列表")
    private List<ServerVo> serverList;
}
