package com.dd.admin.business.pay.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dd.admin.business.server.domain.ServerVo;
import com.dd.admin.common.model.UpdateGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;

@Data
public class ProductForm {
    @ApiModelProperty(value = "商品id")
    @NotBlank(message = "商品id不能为空",groups = UpdateGroup.class)
    private String productId;

    @ApiModelProperty(value = "分类id")
    private String categoryId;

    @ApiModelProperty(value = "分类名")
    private String categoryName;

    @ApiModelProperty(value = "商品名")
    private String productName;

    @ApiModelProperty(value = "商品金额")
    private BigDecimal productAmount;

    @ApiModelProperty(value = "商品会员金额")
    private BigDecimal productMemberAmount;

    @ApiModelProperty(value = "商品折扣")
    private BigDecimal discount;

    @ApiModelProperty(value = "商品数量")
    private Long count;

    @ApiModelProperty(value = "商品实际金额")
    private BigDecimal realAmount;

    @ApiModelProperty(value = "商品实际金额")
    private BigDecimal totalRealAmount;

    @ApiModelProperty(value = "服务人员列表")
    private List<ServerVo> serverList;
}
