package com.dd.admin.business.pay.enmus;

import com.dd.admin.common.exception.enums.AbstractBaseExceptionEnum;

public enum CashierExceptionEnum implements AbstractBaseExceptionEnum {
    CARD_AMOUNT_CHANGE(500,"余额已变动，为保证数据安全，操作中断，请重试！"),
    MEMBER_CARD_NOT_SUFFICIENT_FUNDS(500,"会员卡余额不足，请重新操作！"),
    MEMBER_CARD_GIVE_NOT_SUFFICIENT_FUNDS(500,"会员卡赠送余额不足，请重新操作！"),
    MEMBER_CARD_ALREADY_BUILD(500,"该会员已经有充值账户，禁止重复创建！"),
    MEMBER_ALREADY_BUILD(500,"该手机号已注册过，禁止重复创建！"),
    MEMBER_DIFFERENT(500,"会员卡与会员信息不一致，请核实~"),
    DEPT_DIFFERENT(500,"结算信息与当前门店信息不一致，请刷新后重试~"),
    LKLPAY_NOT_AUTHCODE(500,"没有扫描或者扫描了错误的付款码，请核实！"),
    LKLPAYINFO_IS_EXIST(500,"该组织的拉卡拉拓展信息已经配置过啦！"),
    LKLPAYINFO_AUTHCODE_ERROR(500,"扫描用户付款码有误！"),
    SELL_TYPE_ERROR(500,"传入的支付方式有误！"),
    LKLPAYINFO_UNKONW_ERROR(500,"付款码支付有误！"),
    LKLPAYINFO_COMPLETE_ERROR(500,"该订单已经完成了哦！"),
    PRODUCT_ALREADY_EXIST(500,"该商品号已被占用！"),
    CARDNO_ALREADY_EXIST(500,"该卡号已被占用！"),
    CARD_ALREADY_EXIST(500,"该卡项编号已被占用！"),
    PRODUCT_CARD_ALREADY_EXIST(500,"卡级价已存在，请更换其他卡项设置！"),
    AUTHCODE_PAY_NOTZREO(500,"条码支付金额不能为0！"),
    COMBO_EXPIRED(500,"该套餐活动已过期！"),
    COMBO_MONTH_COUNT_NONE(500,"套餐过期月数未设置！"),
    MEMBER_COMBO_EXPIRED(500,"会员套餐截止期已过！"),
    MEMBER_COMBO_NOT_SUFFICIENT_FUNDS(500,"套餐剩余项目次数不足！"),
    MEMBER_COMBO_IS_USED(500,"该套餐已使用禁止销单！"),
    MEMBER_COMBO_IS_DEL(500,"该套餐已删除！"),
    PAY_MONEY_EMPTY(500,"付款码有误！"),
    PAY_MONEY_ERROR(500,"付款金额有误！"),
    PAY_ERROR(500,"条码付款发生了错误！"),
    PAY_SELL_ERROR(500,"该订单状态已取消！"),
    PAY_SELL_ALREADY(500,"该订单状态已结算！"),
    PAY_SELL_CANCEL_ERROR(500,"该订单状态无法销单！"),
    PAY_SELL_CARD_AMOUNT_CHANGE(500,"该卡已经生成消费记录，无法销单！"),
    PAY_SELL_CARD_AMOUNT_NOT_SUFFICIENT_FUNDS(500,"销单后会员卡赠送余额不足，无法销单！"),
    ;

    CashierExceptionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    private Integer code;

    private String message;


    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getMessage() {
        return this.message;
    }
}
