package com.dd.admin.business.product.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 商品返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-23
 */
@Data
@ApiModel(value="商品返回对象")
public class ProductVo {


    @ApiModelProperty(value = "商品id")
    private String productId;

    @ApiModelProperty(value = "分类id")
    private String categoryId;

    @ApiModelProperty(value = "分类名")
    private String categoryName;

    @ApiModelProperty(value = "商品名")
    private String productName;

    @ApiModelProperty(value = "商品金额")
    private BigDecimal productAmount;

    @ApiModelProperty(value = "商品会员金额")
    private BigDecimal productMemberAmount;

    @ApiModelProperty(value = "商品图片")
    private String productImage;

    @ApiModelProperty(value = "商品图片")
    private String productImageUrl;

    @ApiModelProperty(value = "库存数量")
    private Long productCount;

    @ApiModelProperty(value = "提成金额")
    private BigDecimal pushAmount;

    @ApiModelProperty(value = "提成比例")
    private BigDecimal pushPercent;

    @ApiModelProperty(value = "0正常 1下架")
    private Integer productStatus;

    @ApiModelProperty(value = "乐观锁字段")
    private Long version;

    @ApiModelProperty(value = "0正常 1删除")
    private Integer deleted;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "0不开启 1开启")
    private Integer stockControl;

    @ApiModelProperty(value = "0固定金额 1比例")
    private Integer pushType;

}
