package com.dd.admin.business.product.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.product.entity.Product;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.product.domain.ProductVo;
import com.dd.admin.business.product.domain.ProductDto;
import java.util.List;

/**
 * <p>
 * 商品 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-23
 */
public interface ProductService extends IService<Product> {

    //商品-分页列表
    IPage<ProductVo> selectProductPage(ProductDto productDto);

    //商品-列表
    List<ProductVo> selectProductList(ProductDto productDto);

    Product addProductCount(String productId,Long count);

    Product subProductCount(String productId,Long count);

    //根据机构shopId查询商品库存数量排行（可指定返回数量）
     List<Product> getProductStockRankByShopId(String shopId, Integer limit);

    Integer selectProductCount(String shopId);
}
