package com.dd.admin.business.sell.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 订单返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@ApiModel(value="订单接收对象")
public class SellDto {


    @ApiModelProperty(value = "订单id")
    @NotBlank(message = "订单id不能为空",groups = UpdateGroup.class)
    private String sellId;

    @ApiModelProperty(value = "订单号")
    private String sellNo;

    @ApiModelProperty(value = "流水号")
    private String serialNo;

    @ApiModelProperty(value = "会员ID")
    private String memberId;

    @ApiModelProperty(value = "会员卡ID")
    private String memberCardId;

    @ApiModelProperty(value = "会员卡名")
    private String memberCardName;

    @ApiModelProperty(value = "会员卡编号")
    private String memberCardNo;

    @ApiModelProperty(value = "会员名称")
    private String memberName;

    @ApiModelProperty(value = "消费金额")
    private BigDecimal sellAmount;

    @ApiModelProperty(value = "实际入账")
    private BigDecimal realAmount;

    @ApiModelProperty(value = "1商品 2开卡 ")
    @TableField("SELL_TYPE")
    private Integer sellType;

    @ApiModelProperty(value = "0正常 1取消")
    private Integer sellStatus;

    @ApiModelProperty(value = "0正常 1删除")
    private Integer deleted;

    @ApiModelProperty(value = "乐观锁字段")
    private Long version;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "消费后金额")
    private BigDecimal memberCardAfterAmount;

    private BigDecimal memberCardBeforeAmount;

    @ApiModelProperty(value = "消费后金额")
    private BigDecimal memberCardAfterGiveAmount;

    private BigDecimal memberCardBeforeGiveAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "搜索关键字")
    private String keyword;
}
