package com.dd.admin.business.sell.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_sell")
@ApiModel(value="Sell对象", description="订单")
public class Sell implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单id")
    @TableId(value = "SELL_ID", type = IdType.ASSIGN_UUID)
    private String sellId;

    @ApiModelProperty(value = "订单号")
    @TableField("SELL_NO")
    private String sellNo;

    @ApiModelProperty(value = "流水号")
    @TableField("SERIAL_NO")
    private String serialNo;

    @ApiModelProperty(value = "会员ID")
    @TableField("MEMBER_ID")
    private String memberId;

    @ApiModelProperty(value = "会员卡ID")
    @TableField("MEMBER_CARD_ID")
    private String memberCardId;

    @ApiModelProperty(value = "会员卡名")
    @TableField("MEMBER_CARD_NAME")
    private String memberCardName;

    @ApiModelProperty(value = "会员卡编号")
    @TableField("MEMBER_CARD_NO")
    private String memberCardNo;

    @ApiModelProperty(value = "会员名称")
    @TableField("MEMBER_NAME")
    private String memberName;

    @ApiModelProperty(value = "消费金额")
    @TableField("SELL_AMOUNT")
    private BigDecimal sellAmount;

    @ApiModelProperty(value = "实际入账")
    @TableField("REAL_AMOUNT")
    private BigDecimal realAmount;

    @ApiModelProperty(value = "1商品 2开卡 ")
    @TableField("SELL_TYPE")
    private Integer sellType;

    @ApiModelProperty(value = "0正常 1取消")
    @TableField("SELL_STATUS")
    private Integer sellStatus;

    @ApiModelProperty(value = "0正常 1删除")
    @TableField("DELETED")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "乐观锁字段")
    @TableField("VERSION")
    @Version
    private Long version;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_NAME", fill = FieldFill.UPDATE)
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_ID", fill = FieldFill.UPDATE)
    private String updateId;

    @ApiModelProperty(value = "消费后金额")
    @TableField("MEMBER_CARD_AFTER_AMOUNT")
    private BigDecimal memberCardAfterAmount;

    @TableField("MEMBER_CARD_BEFORE_AMOUNT")
    private BigDecimal memberCardBeforeAmount;

    @ApiModelProperty(value = "消费后金额")
    @TableField("MEMBER_CARD_AFTER_GIVE_AMOUNT")
    private BigDecimal memberCardAfterGiveAmount;

    @TableField("MEMBER_CARD_BEFORE_GIVE_AMOUNT")
    private BigDecimal memberCardBeforeGiveAmount;

    @ApiModelProperty(value = "备注")
    private String remark;
}
