package com.dd.admin.business.sellDetail.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 订单详情返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@ApiModel(value="订单详情接收对象")
public class SellDetailDto {


    @ApiModelProperty(value = "销售细单id")
    @NotBlank(message = "订单详情id不能为空",groups = UpdateGroup.class)
    private String sellDetailId;

    @ApiModelProperty(value = "会员id")
    private String memberId;

    @ApiModelProperty(value = "订单id")
    private String sellId;

    @ApiModelProperty(value = "1开卡 2续卡 3项目 4商品")
    private Integer sellType;

    @ApiModelProperty(value = "商品类型")
    private Integer productType;

    @ApiModelProperty(value = "会员卡id")
    private String memberCardId;

    @ApiModelProperty(value = "商品ID")
    private String productId;

    @ApiModelProperty(value = "商品名")
    private String productName;

    @ApiModelProperty(value = "商品数量")
    private Long count;

    @ApiModelProperty(value = "折扣")
    private BigDecimal discount;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "实际金额")
    private BigDecimal realAmount;

    @ApiModelProperty(value = "卡项ID")
    private String cardId;

    @ApiModelProperty(value = "卡名")
    private String cardName;

    @ApiModelProperty(value = "赠送金额")
    private BigDecimal giveAmount;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "0正常 1取消")
    private Integer sellStatus;


}
