package com.dd.admin.business.sellDetail.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.sellDetail.entity.SellDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.sellDetail.domain.SellDetailVo;
import com.dd.admin.business.sellDetail.domain.SellDetailDto;

import java.util.List;

/**
 * <p>
 * 订单详情 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Mapper
public interface SellDetailMapper extends BaseMapper<SellDetail> {

    IPage<SellDetailVo> selectSellDetailPage(Page<SellDetailVo> page, @Param("sellDetailDto") SellDetailDto sellDetailDto);

    List<SellDetailVo> selectSellDetailList(@Param("sellDetailDto") SellDetailDto sellDetailDto);

    Integer updateSellDetailStatus(@Param("SellId")String SellId);

    List<SellDetailVo> productProportion(@Param("shopId") String shopId, @Param("limit") Integer limit);
}
