package com.dd.admin.business.sellJson.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 订单json返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@ApiModel(value="订单json接收对象")
public class SelljsonDto {


    @NotBlank(message = "订单jsonid不能为空",groups = UpdateGroup.class)
    private String jsonId;

    @ApiModelProperty(value = "订单id")
    private String sellId;

    @ApiModelProperty(value = "获得下订单时的JSON")
    private String sellJson;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "0挂单 1结算完成")
    @TableField("PENDING_STATUS")
    private Integer pendingStatus;

    @ApiModelProperty(value = "会员姓名")
    @TableField("MEMBER_NAME")
    private String memberName;

    @ApiModelProperty(value = "手机号")
    @TableField("MEMBER_PHONE")
    private String memberPhone;

}
