package com.dd.admin.business.sellJson.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单json
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_selljson")
@ApiModel(value="Selljson对象", description="订单json")
@Accessors(chain = true)
public class Selljson implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "JSON_ID", type = IdType.ASSIGN_UUID)
    private String jsonId;

    @ApiModelProperty(value = "订单id")
    @TableField("SELL_ID")
    private String sellId;

    @ApiModelProperty(value = "获得下订单时的JSON")
    @TableField("SELL_JSON")
    private String sellJson;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "0挂单 1结算完成")
    @TableField("PENDING_STATUS")
    private Integer pendingStatus;

    @ApiModelProperty(value = "会员姓名")
    @TableField("MEMBER_NAME")
    private String memberName;

    @ApiModelProperty(value = "手机号")
    @TableField("MEMBER_PHONE")
    private String memberPhone;
}
