package com.dd.admin.business.sellPay.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 订单支付返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@ApiModel(value="订单支付接收对象")
public class SellpayDto {


    @ApiModelProperty(value = "支付id")
    @NotBlank(message = "订单支付id不能为空",groups = UpdateGroup.class)
    private String sellPayId;

    @ApiModelProperty(value = "销售单id")
    private String sellId;

    @ApiModelProperty(value = "支付方式名称")
    private String payName;

    @ApiModelProperty(value = "1.卡金 2.扫码 3.现金  888.优惠 ")
    private Integer payType;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
}
