package com.dd.admin.business.sellPay.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单支付
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_sellpay")
@ApiModel(value="Sellpay对象", description="订单支付")
public class Sellpay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "支付id")
    @TableId(value = "SELL_PAY_ID", type = IdType.ASSIGN_UUID)
    private String sellPayId;

    @ApiModelProperty(value = "销售单id")
    @TableField("SELL_ID")
    private String sellId;

    @ApiModelProperty(value = "支付方式名称")
    @TableField("PAY_NAME")
    private String payName;

    @ApiModelProperty(value = "1.卡金 2.扫码 3.现金  888.优惠 ")
    @TableField("PAY_TYPE")
    private Integer payType;

    @ApiModelProperty(value = "金额")
    @TableField("AMOUNT")
    private BigDecimal amount;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
}
