package com.dd.admin.business.server.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 服务人员表
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_server")
@ApiModel(value="Server对象", description="服务人员表")
public class Server implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "SERVER_ID", type = IdType.ASSIGN_UUID)
    private String serverId;

    @ApiModelProperty(value = "工号")
    @TableField("SERVER_NO")
    private String serverNo;

    @ApiModelProperty(value = "服务人员名称")
    @TableField("SERVER_NAME")
    private String serverName;

    @ApiModelProperty(value = "服务人员手机号")
    @TableField("SERVER_PHONE")
    private String serverPhone;

    @ApiModelProperty(value = "入职时间")
    @TableField("JOIN_TIME")
    private Date joinTime;

    @ApiModelProperty(value = "小程序密码-")
    @TableField("MINIAPP_PASSWORD")
    private String miniappPassword;

    @ApiModelProperty(value = "0正常 1删除")
    @TableField("DELETED")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField("SHOP_NAME")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_NAME", fill = FieldFill.UPDATE)
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_ID", fill = FieldFill.UPDATE)
    private String updateId;


    @ApiModelProperty(value = "搜索关键字")
    private String keyword;
}
