package com.dd.admin.business.stock.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.dd.admin.business.product.entity.Product;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 库存单返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Data
@ApiModel(value="库存单接收对象")
public class StockDto {


    @ApiModelProperty(value = "库存单id")
    @NotBlank(message = "库存单id不能为空",groups = UpdateGroup.class)
    private String stockId;

    @ApiModelProperty(value = "库存单表头")
    private String stockTitle;

    @ApiModelProperty(value = "库存单编号")
    private String stockNo;

    @ApiModelProperty(value = "0正常 1审核完毕 2取消")
    private Integer stockStatus;

    @ApiModelProperty(value = "审核人ID")
    private String checkId;

    @ApiModelProperty(value = "审核人姓名")
    private String checkName;

    @ApiModelProperty(value = "审核时间")
    private Date checkTime;

    @ApiModelProperty(value = "类型 1入库 2出库")
    private Integer stockType;

    @ApiModelProperty(value = "金额")
    private BigDecimal stockMoney;

    @ApiModelProperty(value = "入库类型")
    private Integer stockInType;

    @ApiModelProperty(value = "出库类型")
    private Integer stockOutType;

    @ApiModelProperty(value = "入库商品")
    private List<Product> productList;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "搜索关键字")
    private String keyword;
}
