package com.dd.admin.business.stock.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.dd.admin.business.stockDetail.domain.StockDetailVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 库存单返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Data
@ApiModel(value="库存单返回对象")
public class StockVo {


    @ApiModelProperty(value = "库存单id")
    private String stockId;

    @ApiModelProperty(value = "库存单表头")
    private String stockTitle;

    @ApiModelProperty(value = "库存单编号")
    private String stockNo;

    @ApiModelProperty(value = "0正常 1审核完毕 2取消")
    private Integer stockStatus;

    @ApiModelProperty(value = "门店id")
    private String shopId;

    @ApiModelProperty(value = "门店名")
    private String shopName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private String createId;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    private String updateId;

    @ApiModelProperty(value = "审核人ID")
    private String checkId;

    @ApiModelProperty(value = "审核人姓名")
    private String checkName;

    @ApiModelProperty(value = "审核时间")
    private Date checkTime;

    @ApiModelProperty(value = "类型 1入库 2出库")
    private Integer stockType;

    @ApiModelProperty(value = "金额")
    private BigDecimal stockMoney;

    @ApiModelProperty(value = "入库类型")
    private Integer stockInType;

    @ApiModelProperty(value = "出库类型")
    private Integer stockOutType;

    @ApiModelProperty(value = "乐观锁字段")
    private Long version;

    @ApiModelProperty(value = "0正常 1删除")
    private Integer deleted;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "库存单详情")
    List<StockDetailVo> stockDetailVos;
}
