package com.dd.admin.business.stock.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 库存单
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_stock")
@ApiModel(value="Stock对象", description="库存单")
public class Stock implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库存单id")
    @TableId(value = "STOCK_ID", type = IdType.ASSIGN_UUID)
    private String stockId;

    @ApiModelProperty(value = "库存单表头")
    @TableField("STOCK_TITLE")
    private String stockTitle;

    @ApiModelProperty(value = "库存单编号")
    @TableField("STOCK_NO")
    private String stockNo;

    @ApiModelProperty(value = "0正常 1审核完毕 2取消")
    @TableField("STOCK_STATUS")
    private Integer stockStatus;

    @ApiModelProperty(value = "门店id")
    @TableField(value = "SHOP_ID", fill = FieldFill.INSERT)
    private String shopId;

    @ApiModelProperty(value = "门店名")
    @TableField(value = "SHOP_NAME", fill = FieldFill.INSERT)
    private String shopName;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_NAME", fill = FieldFill.INSERT)
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_ID", fill = FieldFill.INSERT)
    private String createId;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_NAME", fill = FieldFill.UPDATE)
    private String updateName;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_ID", fill = FieldFill.UPDATE)
    private String updateId;

    @ApiModelProperty(value = "审核人ID")
    @TableField("CHECK_ID")
    private String checkId;

    @ApiModelProperty(value = "审核人姓名")
    @TableField("CHECK_NAME")
    private String checkName;

    @ApiModelProperty(value = "审核时间")
    @TableField("CHECK_TIME")
    private Date checkTime;

    @ApiModelProperty(value = "类型 1入库 2出库")
    @TableField("STOCK_TYPE")
    private Integer stockType;

    @ApiModelProperty(value = "金额")
    @TableField("STOCK_MONEY")
    private BigDecimal stockMoney;

    @ApiModelProperty(value = "入库类型")
    @TableField("STOCK_IN_TYPE")
    private Integer stockInType;

    @ApiModelProperty(value = "出库类型")
    @TableField("STOCK_OUT_TYPE")
    private Integer stockOutType;

    @ApiModelProperty(value = "乐观锁字段")
    @TableField("VERSION")
    @Version
    private Long version;

    @ApiModelProperty(value = "0正常 1删除")
    @TableField("DELETED")
    @TableLogic
    private Integer deleted;

    @ApiModelProperty(value = "备注")
    private String remark;
}
