package com.dd.admin.business.stockDetail.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import com.dd.admin.common.model.UpdateGroup;


/**
 * <p>
 * 返回对象
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Data
@ApiModel(value="接收对象")
public class StockDetailDto {


    @ApiModelProperty(value = "库存详情id")
    @NotBlank(message = "id不能为空",groups = UpdateGroup.class)
    private String stockDetailId;

    @ApiModelProperty(value = "库存单id")
    private String stockId;

    @ApiModelProperty(value = "商品")
    private String productId;

    @ApiModelProperty(value = "商品名 ")
    private String productName;

    @ApiModelProperty(value = "库存数量")
    private Long count;

    @ApiModelProperty(value = "0正常 1审核完毕 2取消")
    private Integer stockStatus;

    @ApiModelProperty(value = "类型 1入库 2出库")
    private Integer stockType;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
