package com.dd.admin.business.stockDetail.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_stock_detail")
@ApiModel(value="StockDetail对象", description="")
public class StockDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库存详情id")
    @TableId(value = "STOCK_DETAIL_ID", type = IdType.ASSIGN_UUID)
    private String stockDetailId;

    @ApiModelProperty(value = "库存单id")
    @TableField("STOCK_ID")
    private String stockId;

    @ApiModelProperty(value = "商品")
    @TableField("PRODUCT_ID")
    private String productId;

    @ApiModelProperty(value = "商品名 ")
    @TableField("PRODUCT_NAME")
    private String productName;

    @ApiModelProperty(value = "库存数量")
    @TableField("COUNT")
    private Long count;

    @ApiModelProperty(value = "0正常 1审核完毕 2取消")
    @TableField("STOCK_STATUS")
    private Integer stockStatus;

    @ApiModelProperty(value = "类型 1入库 2出库")
    @TableField("STOCK_TYPE")
    private Integer stockType;

    @ApiModelProperty(value = "金额")
    @TableField("AMOUNT")
    private BigDecimal amount;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


}
